/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.controller;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.DiagramCoordinate;

import javafx.scene.Node;

/** Interface for controllers, which handle click gestures provided by the visuals. */
public interface IClickController {
	/** Handles a single-click at the given diagram location. */
	void singleClick(Node node, DiagramCoordinate diagramLocation, boolean ctrlKeyDown,
			boolean shiftKeyDown);

	/** Handles a double-click at the given diagram location. */
	void doubleClick(Node node, DiagramCoordinate diagramLocation, boolean ctrlKeyDown,
			boolean shiftKeyDown);

	/**
	 * Handles a single click at the given diagram location when the secondary mouse button is used.
	 */
	void secondaryClick(Node node, DiagramCoordinate diagramLocation, boolean ctrlKeyDown,
			boolean shiftKeyDown);
}
