/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.controller.base;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.DiagramCoordinate;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.controller.IClickController;

import javafx.scene.Node;

/** Base class implementing {@link IClickController}. */
public abstract class ClickControllerBase implements IClickController {
	/** {@inheritDoc} */
	@Override
	public void singleClick(Node node, DiagramCoordinate diagramLocation, boolean ctrlKeyDown,
			boolean shiftKeyDown) {
		// ignore by default
	}

	/** {@inheritDoc} */
	@Override
	public void doubleClick(Node node, DiagramCoordinate diagramLocation, boolean ctrlKeyDown,
			boolean shiftKeyDown) {
		// ignore by default
	}

	/** {@inheritDoc} */
	@Override
	public void secondaryClick(Node node, DiagramCoordinate diagramLocation, boolean ctrlKeyDown,
			boolean shiftKeyDown) {
		// ignore by default
	}
}
